Subject: Re: [PATCH net-next v2 2/2] net: phy: Add Marvell PHY PTP support

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 9 Apr 2025 09:33:09 +0100

On Wed, Apr 09, 2025 at 10:18:08AM +0200, Kory Maincent wrote:
> On Tue, 8 Apr 2025 18:32:04 +0100
> "Russell King (Oracle)" <[email-masked]> wrote:
> 
> > On Tue, Apr 08, 2025 at 04:49:34PM +0100, Simon Horman wrote:
> > > On Mon, Apr 07, 2025 at 04:03:01PM +0200, Kory Maincent wrote:  
> > > > From: Russell King <[email-masked]>
> > > > 
> > > > From: Russell King <[email-masked]>
> > > > 
> > > > Add PTP basic support for Marvell 88E151x PHYs. These PHYs support
> > > > timestamping the egress and ingress of packets, but does not support
> > > > any packet modification.
> > > > 
> > > > The PHYs support hardware pins for providing an external clock for the
> > > > TAI counter, and a separate pin that can be used for event capture or
> > > > generation of a trigger (either a pulse or periodic).  This code does
> > > > not support either of these modes.
> > > > 
> > > > The driver takes inspiration from the Marvell 88E6xxx DSA and DP83640
> > > > drivers.  The hardware is very similar to the implementation found in
> > > > the 88E6xxx DSA driver, but the access methods are very different,
> > > > although it may be possible to create a library that both can use
> > > > along with accessor functions.
> > > > 
> > > > Signed-off-by: Russell King <[email-masked]>
> > > > 
> > > > Add support for interruption.
> > > > Fix L2 PTP encapsulation frame detection.
> > > > Fix first PTP timestamp being dropped.
> > > > Fix Kconfig to depends on MARVELL_PHY.
> > > > Update comments to use kdoc.
> > > > 
> > > > Co-developed-by: Kory Maincent <[email-masked]>
> > > > Signed-off-by: Kory Maincent <[email-masked]>  
> > > 
> > > Hi Kory,
> > > 
> > > Some minor feedback from my side.
> > >   
> > > > ---
> > > > 
> > > > Russell I don't know which email I should use, so I keep your old SOB.  
> > > 
> > > Russell's SOB seems to be missing.  
> > 
> > ... and anyway, I haven't dropped my patches, I'm waiting for the
> > fundamental issue with merging Marvell PHY PTP support destroying the
> > ability to use MVPP2 PTP support to be solved, and then I will post
> > my patches.
> > 
> > They aren't dead, I'm just waiting for the issues I reported years ago
> > with the PTP infrastructure to be resolved - and to be tested as
> > resolved.
> > 
> > I'm still not convinced that they have been given Kory's responses to
> > me (some of which I honestly don't understand), but I will get around
> > to doing further testing to see whether enabling Marvell PHY PTP
> > support results in MVPP2 support becoming unusable.
> > 
> > Kory's lack of communication with me has been rather frustrating.
> 
> You were in CC in all the series I sent and there was not a lot of review and
> testing on your side. I know you seemed a lot busy at that time but I don't
> understand what communication is missing here? 

I don't spend much time at the physical location where the hardware that
I need to test your long awaited code is anymore. That means the
opportunities to test it are *rare*.

So far, each time I've tested your code, it's been broken. This really
doesn't help.

If you want me to do anything more in a timely manner, like test fixes,
you need to get them to me by the end of this week, otherwise I won't
again be able to test them for a while.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!